Attention iPhone users: iOS 15.0 through 15.2.x contain bugs that affect the auto-open feature. Versions above or below work fine.

Tailwind iQ3 User Manual

Follow

Comments

0 comments

Please sign in to leave a comment.